fop 1.1

## org.apache.fop.fonts.truetype
Enum TTFFile.PostScriptVersion

    java.lang.Object
      java.lang.Enum<TTFFile.PostScriptVersion>
          org.apache.fop.fonts.truetype.TTFFile.PostScriptVersion

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<TTFFile.PostScriptVersion>

Enclosing class:
  TTFFile

    public static enum TTFFile.PostScriptVersion

extends java.lang.Enum<TTFFile.PostScriptVersion>

Version of the PostScript table (post) contained in this font.

Enum Constant Summary
`UNKNOWN` Unknown version of the PostScript table.
`V1` PostScript table version 1.0.
`V2` PostScript table version 2.0.
`V3` PostScript table version 3.0.

Method Summary
`static TTFFile.PostScriptVersion` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static TTFFile.PostScriptVersion[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### V1

    public static final TTFFile.PostScriptVersion V1

  PostScript table version 1.0.

### V2

    public static final TTFFile.PostScriptVersion V2

  PostScript table version 2.0.

### V3

    public static final TTFFile.PostScriptVersion V3

  PostScript table version 3.0.

### UNKNOWN

    public static final TTFFile.PostScriptVersion UNKNOWN

  Unknown version of the PostScript table.

Method Detail

### values

    public static TTFFile.PostScriptVersion[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (TTFFile.PostScriptVersion c : TTFFile.PostScriptVersion.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static TTFFile.PostScriptVersion valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.